<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from Ctfrcw.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="Ctfrcw" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 27-September-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>Ctfrcw</refname><refpurpose>Choi-Williams time-frequency distribution.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [TFR,T,F]=Ctfrcw(X)
   [TFR,T,F]=Ctfrcw(X,T)
   [TFR,T,F]=Ctfrcw(X,T,N)
   [TFR,T,F]=Ctfrcw(X,T,N,G)
   [TFR,T,F]=Ctfrcw(X,T,N,G,H)
   [TFR,T,F]=Ctfrcw(X,T,N,G,H,SIGMA)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X     :</term>
      <listitem><para> Analyzed signal.</para></listitem></varlistentry>
   <varlistentry><term>T     :</term>
      <listitem><para> time instant(s)          (default : 1:length(X)).</para></listitem></varlistentry>
   <varlistentry><term>N     :</term>
      <listitem><para> number of frequency bins (default : length(X)).</para></listitem></varlistentry>
   <varlistentry><term>G     :</term>
      <listitem><para> time smoothing window,   (default : Hamming(N/10)).</para></listitem></varlistentry>
   <varlistentry><term>H     :</term>
      <listitem><para> frequency smoothing window, in the time-domain,    (default : Hamming(N/4)).</para></listitem></varlistentry>
   <varlistentry><term>SIGMA :</term>
      <listitem><para> kernel width</para></listitem></varlistentry>
   <varlistentry><term>TFR   :</term>
      <listitem><para> time-frequency representation.</para></listitem></varlistentry>
   <varlistentry><term>F     :</term>
      <listitem><para> vector of normalized frequencies.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
computes the Choi-Williams distribution of a signal X.
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = hilbert(sin(2*%pi*0.25*(1:128))+0.5*rand(1,128,'normal'));
g=Cwindow(9,'Hamming'); h=Cwindow(27,'Hamming');
t=1:128; [tfr,T,F]=Ctfrcw(x,t,128,g,h,1);
grayplot(T,F,tfr'); xlabel('time'); ylabel('frequency')

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="Ctfrwv">Ctfrwv</link></member>
   <member><link linkend="Ctfrsp">Ctfrsp</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Sep 2010</member>
   <member>Emmanuel Roy - 2000</member>
   <member>Manuel Davy - 2000</member>
   </simplelist>
</refsection>
</refentry>
